-- settings.lua

local cmd = vim.cmd
local scopes = {o = vim.o, bo = vim.bo, wo = vim.wo}

local function opt(scope, key, value)
  scopes[scope][key] = value
  if scope ~= 'o' then scopes['o'][key] = value end
end


---- Misc Options
-- global options
opt('o', 'backup', false)
opt('o', 'undodir', '/Users/fschmidt/.cache/nvim/undodir')
opt('o', 'smartcase', true)
opt('o', 'laststatus', 2)
opt('o', 'hidden', true)
opt('o', 'hlsearch', false)
opt('o', 'incsearch', true)
opt('o', 'ignorecase', true)
opt('o', 'scrolloff', 12)
opt('o', 'mouse', 'a')

-- window-local options
opt('wo', 'number', true)
opt('wo', 'wrap', false)
opt('wo', 'signcolumn', 'yes')

-- buffer-local options
opt('bo', 'shiftwidth', 4)
opt('bo', 'tabstop', 4)
opt('bo', 'softtabstop', 4)
opt('bo', 'expandtab', true)
opt('bo', 'autoindent', true)
opt('bo', 'swapfile', false)
opt('bo', 'undofile', true)

---- Theme
-- Font
opt('o', 'guifont', 'Source Code Pro for Powerline')

-- Statusline
local lualine = require('lualine')
lualine.status()

-- Bufferline
local bufferline = require('bufferline')
bufferline.setup()

local function ColorDarcula()
    lualine.options.theme = 'onedark'
    vim.g.limelight_conceal_ctermfg = 'gray'
    cmd 'colorscheme darcula'
end

opt('bo', 'syntax', 'on')
ColorDarcula()


-- File Navigation
